<html>
<head>
<title>OGRE: Ogre::MeshManager::MeshBuildParams Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1MeshManager.html">MeshManager</a>::<a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html">MeshBuildParams</a></div>
<h1>Ogre::MeshManager::MeshBuildParams Struct Reference</h1><!-- doxytag: class="Ogre::MeshManager::MeshBuildParams" -->Saved parameters used to (re)build a manual mesh built by this class.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1MeshManager_1_1MeshBuildParams-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MeshManager.html#b207a060c84acb966c08d3ac46a2f57c">MeshBuildType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#7756449924456539da2eae62b49a9ed5">type</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Plane.html">Plane</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#b36fcb9c50422d7cf5713b20bcf7cb9b">plane</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#85e4852197ec492337acd1d2c6f3bd05">width</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#632949476b55c48a388a7dbadc1c6d51">height</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#b66d26e9fde13798667696b75fdcb8ea">curvature</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#69f3cbe4a54c489370375e420ee67863">xsegments</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#89c454ab6f514bd56bde2935d98f0be1">ysegments</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#e1ad5666b06f2dcf7efc53ad2f500008">normals</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#f9fe833e8005ada29309b67991ba878f">numTexCoordSets</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#b993bcff70554c8ee7f90144df1492d4">xTile</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#6218d1114cb7e1f39a8aff64dca37ab4">yTile</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#8389c855cf891696e39ab7d657ee1278">upVector</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#3d94e3e0cc3e8b43b158dfc2b4ee020b">orientation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#68fe4f51fab9e197706d3b0c3279a85a">vertexBufferUsage</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#0cd508282d33651f940d2a0527310987">indexBufferUsage</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#cf5be35c46df90ffd82f341945557e73">vertexShadowBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#ebf37a7a73d7f899ac15fd01f1aec9d5">indexShadowBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#20a7d47079fe9731ea5d4e836351d37b">ySegmentsToKeep</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Saved parameters used to (re)build a manual mesh built by this class. 
<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00390">390</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="7756449924456539da2eae62b49a9ed5"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::type" ref="7756449924456539da2eae62b49a9ed5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshManager.html#b207a060c84acb966c08d3ac46a2f57c">MeshBuildType</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#7756449924456539da2eae62b49a9ed5">Ogre::MeshManager::MeshBuildParams::type</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00392">392</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b36fcb9c50422d7cf5713b20bcf7cb9b"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::plane" ref="b36fcb9c50422d7cf5713b20bcf7cb9b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Plane.html">Plane</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#b36fcb9c50422d7cf5713b20bcf7cb9b">Ogre::MeshManager::MeshBuildParams::plane</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00393">393</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="85e4852197ec492337acd1d2c6f3bd05"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::width" ref="85e4852197ec492337acd1d2c6f3bd05" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#85e4852197ec492337acd1d2c6f3bd05">Ogre::MeshManager::MeshBuildParams::width</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00394">394</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="632949476b55c48a388a7dbadc1c6d51"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::height" ref="632949476b55c48a388a7dbadc1c6d51" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#632949476b55c48a388a7dbadc1c6d51">Ogre::MeshManager::MeshBuildParams::height</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00395">395</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b66d26e9fde13798667696b75fdcb8ea"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::curvature" ref="b66d26e9fde13798667696b75fdcb8ea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#b66d26e9fde13798667696b75fdcb8ea">Ogre::MeshManager::MeshBuildParams::curvature</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00396">396</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="69f3cbe4a54c489370375e420ee67863"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::xsegments" ref="69f3cbe4a54c489370375e420ee67863" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#69f3cbe4a54c489370375e420ee67863">Ogre::MeshManager::MeshBuildParams::xsegments</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00397">397</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="89c454ab6f514bd56bde2935d98f0be1"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::ysegments" ref="89c454ab6f514bd56bde2935d98f0be1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#89c454ab6f514bd56bde2935d98f0be1">Ogre::MeshManager::MeshBuildParams::ysegments</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00398">398</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e1ad5666b06f2dcf7efc53ad2f500008"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::normals" ref="e1ad5666b06f2dcf7efc53ad2f500008" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#e1ad5666b06f2dcf7efc53ad2f500008">Ogre::MeshManager::MeshBuildParams::normals</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00399">399</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f9fe833e8005ada29309b67991ba878f"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::numTexCoordSets" ref="f9fe833e8005ada29309b67991ba878f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#f9fe833e8005ada29309b67991ba878f">Ogre::MeshManager::MeshBuildParams::numTexCoordSets</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00400">400</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b993bcff70554c8ee7f90144df1492d4"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::xTile" ref="b993bcff70554c8ee7f90144df1492d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#b993bcff70554c8ee7f90144df1492d4">Ogre::MeshManager::MeshBuildParams::xTile</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00401">401</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6218d1114cb7e1f39a8aff64dca37ab4"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::yTile" ref="6218d1114cb7e1f39a8aff64dca37ab4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#6218d1114cb7e1f39a8aff64dca37ab4">Ogre::MeshManager::MeshBuildParams::yTile</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00402">402</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8389c855cf891696e39ab7d657ee1278"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::upVector" ref="8389c855cf891696e39ab7d657ee1278" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#8389c855cf891696e39ab7d657ee1278">Ogre::MeshManager::MeshBuildParams::upVector</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00403">403</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3d94e3e0cc3e8b43b158dfc2b4ee020b"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::orientation" ref="3d94e3e0cc3e8b43b158dfc2b4ee020b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#3d94e3e0cc3e8b43b158dfc2b4ee020b">Ogre::MeshManager::MeshBuildParams::orientation</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00404">404</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="68fe4f51fab9e197706d3b0c3279a85a"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::vertexBufferUsage" ref="68fe4f51fab9e197706d3b0c3279a85a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#68fe4f51fab9e197706d3b0c3279a85a">Ogre::MeshManager::MeshBuildParams::vertexBufferUsage</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00405">405</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0cd508282d33651f940d2a0527310987"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::indexBufferUsage" ref="0cd508282d33651f940d2a0527310987" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#0cd508282d33651f940d2a0527310987">Ogre::MeshManager::MeshBuildParams::indexBufferUsage</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00406">406</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cf5be35c46df90ffd82f341945557e73"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::vertexShadowBuffer" ref="cf5be35c46df90ffd82f341945557e73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#cf5be35c46df90ffd82f341945557e73">Ogre::MeshManager::MeshBuildParams::vertexShadowBuffer</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00407">407</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ebf37a7a73d7f899ac15fd01f1aec9d5"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::indexShadowBuffer" ref="ebf37a7a73d7f899ac15fd01f1aec9d5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#ebf37a7a73d7f899ac15fd01f1aec9d5">Ogre::MeshManager::MeshBuildParams::indexShadowBuffer</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00408">408</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="20a7d47079fe9731ea5d4e836351d37b"></a><!-- doxytag: member="Ogre::MeshManager::MeshBuildParams::ySegmentsToKeep" ref="20a7d47079fe9731ea5d4e836351d37b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#20a7d47079fe9731ea5d4e836351d37b">Ogre::MeshManager::MeshBuildParams::ySegmentsToKeep</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMeshManager_8h-source.html#l00409">409</a> of file <a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreMeshManager_8h-source.html">OgreMeshManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:40 2008
</p>
</body>
</html>
